# Uses of Enum Class
com.google.protobuf.DescriptorProtos.FieldOptions.CType

Packages that use DescriptorProtos.FieldOptions.CType
Package
Description
com.google.protobuf

## Uses of DescriptorProtos.FieldOptions.CType in com.google.protobuf

Methods in com.google.protobuf that return DescriptorProtos.FieldOptions.CType
Modifier and Type
Method
Description
`static DescriptorProtos.FieldOptions.CType`
DescriptorProtos.FieldOptions.CType.`forNumber(int value)`
`DescriptorProtos.FieldOptions.CType`
DescriptorProtos.FieldOptions.Builder.`getCtype()`
`optional .google.protobuf.FieldOptions.CType ctype = 1 [default = STRING, json_name = "ctype"];`
`DescriptorProtos.FieldOptions.CType`
DescriptorProtos.FieldOptions.`getCtype()`
`optional .google.protobuf.FieldOptions.CType ctype = 1 [default = STRING, json_name = "ctype"];`
`DescriptorProtos.FieldOptions.CType`
DescriptorProtos.FieldOptionsOrBuilder.`getCtype()`
`optional .google.protobuf.FieldOptions.CType ctype = 1 [default = STRING, json_name = "ctype"];`
`static DescriptorProtos.FieldOptions.CType`
DescriptorProtos.FieldOptions.CType.`valueOf(int value)`
Deprecated.
`static DescriptorProtos.FieldOptions.CType`
DescriptorProtos.FieldOptions.CType.`valueOf(Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static DescriptorProtos.FieldOptions.CType`
DescriptorProtos.FieldOptions.CType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DescriptorProtos.FieldOptions.CType[]`
DescriptorProtos.FieldOptions.CType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.google.protobuf that return types with arguments of type DescriptorProtos.FieldOptions.CType
Modifier and Type
Method
Description
`static Internal.EnumLiteMap<DescriptorProtos.FieldOptions.CType>`
DescriptorProtos.FieldOptions.CType.`internalGetValueMap()`
Methods in com.google.protobuf with parameters of type DescriptorProtos.FieldOptions.CType
Modifier and Type
Method
Description
`DescriptorProtos.FieldOptions.Builder`
DescriptorProtos.FieldOptions.Builder.`setCtype(DescriptorProtos.FieldOptions.CType value)`
`optional .google.protobuf.FieldOptions.CType ctype = 1 [default = STRING, json_name = "ctype"];`